From aa8a1137c2bb2a53cb358c7329897e34aecff309 Mon Sep 17 00:00:00 2001
From: Mike Mager <mikemager@codeaurora.org>
Date: Thu, 7 May 2015 15:24:33 -0700
Subject: [PATCH] remove unused files

Change-Id: Ieccd9e9f0699ffabd0476868953d529a1b27b2bb
---
 ...dsi-panel-hx7816a-720p-100-dualmipi0-video.dtsi | 112 ---------------------
 ...dsi-panel-hx7816a-720p-100-dualmipi1-video.dtsi | 112 ---------------------
 ...dsi-panel-hx7816a-svga-100-dualmipi0-video.dtsi | 112 ---------------------
 ...dsi-panel-hx7816a-svga-100-dualmipi1-video.dtsi | 112 ---------------------
 4 files changed, 448 deletions(-)
 delete mode 100644 arch/arm/boot/dts/qcom/dsi-panel-hx7816a-720p-100-dualmipi0-video.dtsi
 delete mode 100644 arch/arm/boot/dts/qcom/dsi-panel-hx7816a-720p-100-dualmipi1-video.dtsi
 delete mode 100644 arch/arm/boot/dts/qcom/dsi-panel-hx7816a-svga-100-dualmipi0-video.dtsi
 delete mode 100644 arch/arm/boot/dts/qcom/dsi-panel-hx7816a-svga-100-dualmipi1-video.dtsi

diff --git a/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-720p-100-dualmipi0-video.dtsi b/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-720p-100-dualmipi0-video.dtsi
deleted file mode 100644
index 0ae8259..0000000
--- a/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-720p-100-dualmipi0-video.dtsi
+++ /dev/null
@@ -1,112 +0,0 @@
-/* Copyright (c) 2013-2014, The Linux Foundation. All rights reserved.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 and
- * only version 2 as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- */
-
-&mdss_mdp {
-	dsi_dual_hx7816a_720p_100_video_0: qcom,mdss_dsi_hx7816a_720p_100_video_0 {
-		qcom,mdss-dsi-panel-name = "Dual 0 HX7816-A 720P LVDS LCOS display via DSI-to-LVDS bridge";
-		qcom,mdss-dsi-panel-controller = <&mdss_dsi0>;
-		qcom,mdss-dsi-panel-type = "dsi_video_mode";
-		qcom,mdss-dsi-panel-destination = "display_1";
-		qcom,mdss-dsi-panel-framerate = <100>;
-		qcom,mdss-dsi-virtual-channel-id = <0>;
-		qcom,mdss-dsi-stream = <0>;
-		qcom,mdss-dsi-panel-width = <1280>;
-		qcom,mdss-dsi-panel-height = <720>;
-		qcom,mdss-dsi-h-front-porch = <32>;
-		qcom,mdss-dsi-h-back-porch = <32>;
-		qcom,mdss-dsi-h-pulse-width = <32>;
-		qcom,mdss-dsi-h-sync-skew = <0>;
-		qcom,mdss-dsi-v-back-porch = <2>;
-		qcom,mdss-dsi-v-front-porch = <2>;
-		qcom,mdss-dsi-v-pulse-width = <2>;
-		qcom,mdss-dsi-h-left-border = <0>;
-		qcom,mdss-dsi-h-right-border = <0>;
-		qcom,mdss-dsi-v-top-border = <0>;
-		qcom,mdss-dsi-v-bottom-border = <0>;
-		qcom,mdss-dsi-bpp = <24>;
-		qcom,mdss-dsi-color-order = "rgb_swap_bgr";
-		qcom,mdss-dsi-underflow-color = <0xff>;
-		qcom,mdss-dsi-border-color = <0>;
-		qcom,mdss-dsi-h-sync-pulse = <0>;
-		qcom,mdss-dsi-traffic-mode = "non_burst_sync_event";
-		qcom,mdss-dsi-lane-map = <0>;
-		qcom,mdss-dsi-lane-0-state;
-		qcom,mdss-dsi-lane-1-state;
-		qcom,mdss-dsi-lane-2-state;
-		qcom,mdss-dsi-panel-timings = [a9 24 18 00 4e 52 1c 28 1f 03 04 00];
-		qcom,mdss-dsi-t-clk-post = <0x21>;
-		qcom,mdss-dsi-t-clk-pre = <0x2e>;
-		qcom,mdss-dsi-bl-min-level = <1>;
-		qcom,mdss-dsi-bl-max-level = <15>;
-		qcom,mdss-dsi-dma-trigger = "trigger_sw";
-		qcom,mdss-dsi-mdp-trigger = "none";
-		qcom,mdss-dsi-bl-pmic-control-type = "bl_ctrl_wled";
-		qcom,mdss-dsi-reset-sequence = <1 20>, <0 200>, <1 20>;
-		qcom,mdss-dsi-te-dcs-command = <0>;
-		qcom,mdss-dsi-te-v-sync-continue-lines = <0>;
-		qcom,mdss-dsi-te-v-sync-rd-ptr-irq-line = <0>;
-		qcom,mdss-dsi-te-pin-select = <1>;
-		qcom,mdss-dsi-tx-eot-append = <1>;
-		qcom,mdss-dsi-force-clk-lane-hs = <1>;
-		qcom,mdss-dsi-on-command = [29 01 00 00 1e 00 06
-						04 05 ff 00 00 00	/* sw reset */
-					29 01 00 00 00 00 06
-						04 05 ff 00 00 00	/* sw reset */
-					29 01 00 00 00 00 06
-						3c 01 04 00 04 00	/* PPI_TX_RX_TA */
-					29 01 00 00 00 00 06
-						14 01 04 00 00 00	/* PPI_LPTXTIMECNT */
-					29 01 00 00 00 00 06
-						64 01 03 00 00 00	/* PPI_D0S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						68 01 03 00 00 00	/* PPI_D1S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						6c 01 03 00 00 00	/* PPI_D2S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						70 01 03 00 00 00	/* PPI_D3S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						34 01 0f 00 00 00	/* PPI_LANEENABLE */
-					29 01 00 00 00 00 06
-						10 02 0f 00 00 00	/* DSI_LANEENABLE */
-					29 01 00 00 00 00 06
-						04 01 01 00 00 00	/* PPI_STARTPPI */
-					29 01 00 00 00 00 06
-						04 02 01 00 00 00	/* DSI_STARTDSI */
-					29 01 00 00 00 00 06
-						50 04 20 00 00 01	/* VPCTRL */
-					29 01 00 00 00 00 06
-						54 04 20 00 20 00	/* HTIM1 */
-					29 01 00 00 00 00 06
-						5c 04 02 00 02 00	/* VTIM1 */
-					29 01 00 00 00 00 06
-						58 04 00 05 20 00	/* HTIM2 */
-					29 01 00 00 00 00 06
-						60 04 d0 02 02 00	/* VTIM2 */
-					29 01 00 00 00 00 06
-						64 04 01 00 00 00	/* VFUEN */
-					29 01 00 00 00 00 06
-						9c 04 01 00 00 00	/* LVCFG */
-					29 01 00 00 00 00 06
-						20 05 1f 00 00 00	/* GPIOC */
-					29 01 00 00 00 00 06
-						24 05 08 00 00 00	/* GPIOO */];
-		qcom,mdss-dsi-off-command = [29 01 00 00 1e 00 06
-						04 05 ff 00 00 00	/* sw reset */];
-		qcom,mdss-dsi-on-command-state = "dsi_lp_mode";
-		qcom,mdss-dsi-off-command-state = "dsi_hs_mode";
-		/* the old driver used to allow specifying the format; this new
-		   driver derives the format from the bpp. In Thor's case, we
-		   need to specify a bpp of 24 but a format of RGB666 due to the
-		   bridge configuration. */
-		qcom,mdss-dsi-dst-format = <1>;	/* RGB666 */
-	};
-};
diff --git a/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-720p-100-dualmipi1-video.dtsi b/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-720p-100-dualmipi1-video.dtsi
deleted file mode 100644
index e1cc87e..0000000
--- a/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-720p-100-dualmipi1-video.dtsi
+++ /dev/null
@@ -1,112 +0,0 @@
-/* Copyright (c) 2013-2014, The Linux Foundation. All rights reserved.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 and
- * only version 2 as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- */
-
-&mdss_mdp {
-	dsi_dual_hx7816a_720p_100_video_1: qcom,mdss_dsi_hx7816a_720p_100_video_1 {
-		qcom,mdss-dsi-panel-name = "Dual 1 HX7816-A 720P LVDS LCOS display via DSI-to-LVDS bridge";
-		qcom,mdss-dsi-panel-controller = <&mdss_dsi1>;
-		qcom,mdss-dsi-panel-type = "dsi_video_mode";
-		qcom,mdss-dsi-panel-destination = "display_2";
-		qcom,mdss-dsi-panel-framerate = <100>;
-		qcom,mdss-dsi-virtual-channel-id = <0>;
-		qcom,mdss-dsi-stream = <0>;
-		qcom,mdss-dsi-panel-width = <1280>;
-		qcom,mdss-dsi-panel-height = <720>;
-		qcom,mdss-dsi-h-front-porch = <32>;
-		qcom,mdss-dsi-h-back-porch = <32>;
-		qcom,mdss-dsi-h-pulse-width = <32>;
-		qcom,mdss-dsi-h-sync-skew = <0>;
-		qcom,mdss-dsi-v-back-porch = <2>;
-		qcom,mdss-dsi-v-front-porch = <2>;
-		qcom,mdss-dsi-v-pulse-width = <2>;
-		qcom,mdss-dsi-h-left-border = <0>;
-		qcom,mdss-dsi-h-right-border = <0>;
-		qcom,mdss-dsi-v-top-border = <0>;
-		qcom,mdss-dsi-v-bottom-border = <0>;
-		qcom,mdss-dsi-bpp = <24>;
-		qcom,mdss-dsi-color-order = "rgb_swap_bgr";
-		qcom,mdss-dsi-underflow-color = <0xff>;
-		qcom,mdss-dsi-border-color = <0>;
-		qcom,mdss-dsi-h-sync-pulse = <0>;
-		qcom,mdss-dsi-traffic-mode = "non_burst_sync_event";
-		qcom,mdss-dsi-lane-map = <0>;
-		qcom,mdss-dsi-lane-0-state;
-		qcom,mdss-dsi-lane-1-state;
-		qcom,mdss-dsi-lane-2-state;
-		qcom,mdss-dsi-panel-timings = [a9 24 18 00 4e 52 1c 28 1f 03 04 00];
-		qcom,mdss-dsi-t-clk-post = <0x21>;
-		qcom,mdss-dsi-t-clk-pre = <0x2e>;
-		qcom,mdss-dsi-bl-min-level = <1>;
-		qcom,mdss-dsi-bl-max-level = <15>;
-		qcom,mdss-dsi-dma-trigger = "trigger_sw";
-		qcom,mdss-dsi-mdp-trigger = "none";
-		qcom,mdss-dsi-bl-pmic-control-type = "bl_ctrl_wled";
-		qcom,mdss-dsi-reset-sequence = <1 20>, <0 200>, <1 20>;
-		qcom,mdss-dsi-te-dcs-command = <0>;
-		qcom,mdss-dsi-te-v-sync-continue-lines = <0>;
-		qcom,mdss-dsi-te-v-sync-rd-ptr-irq-line = <0>;
-		qcom,mdss-dsi-te-pin-select = <1>;
-		qcom,mdss-dsi-tx-eot-append = <1>;
-		qcom,mdss-dsi-force-clk-lane-hs = <1>;
-		qcom,mdss-dsi-on-command = [29 01 00 00 1e 00 06
-						04 05 ff 00 00 00	/* sw reset */
-					29 01 00 00 00 00 06
-						04 05 ff 00 00 00	/* sw reset */
-					29 01 00 00 00 00 06
-						3c 01 04 00 04 00	/* PPI_TX_RX_TA */
-					29 01 00 00 00 00 06
-						14 01 04 00 00 00	/* PPI_LPTXTIMECNT */
-					29 01 00 00 00 00 06
-						64 01 03 00 00 00	/* PPI_D0S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						68 01 03 00 00 00	/* PPI_D1S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						6c 01 03 00 00 00	/* PPI_D2S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						70 01 03 00 00 00	/* PPI_D3S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						34 01 0f 00 00 00	/* PPI_LANEENABLE */
-					29 01 00 00 00 00 06
-						10 02 0f 00 00 00	/* DSI_LANEENABLE */
-					29 01 00 00 00 00 06
-						04 01 01 00 00 00	/* PPI_STARTPPI */
-					29 01 00 00 00 00 06
-						04 02 01 00 00 00	/* DSI_STARTDSI */
-					29 01 00 00 00 00 06
-						50 04 20 00 00 01	/* VPCTRL */
-					29 01 00 00 00 00 06
-						54 04 20 00 20 00	/* HTIM1 */
-					29 01 00 00 00 00 06
-						5c 04 02 00 02 00	/* VTIM1 */
-					29 01 00 00 00 00 06
-						58 04 00 05 20 00	/* HTIM2 */
-					29 01 00 00 00 00 06
-						60 04 d0 02 02 00	/* VTIM2 */
-					29 01 00 00 00 00 06
-						64 04 01 00 00 00	/* VFUEN */
-					29 01 00 00 00 00 06
-						9c 04 01 00 00 00	/* LVCFG */
-					29 01 00 00 00 00 06
-						20 05 1f 00 00 00	/* GPIOC */
-					29 01 00 00 00 00 06
-						24 05 08 00 00 00	/* GPIOO */];
-		qcom,mdss-dsi-off-command = [29 01 00 00 1e 00 06
-						04 05 ff 00 00 00	/* sw reset */];
-		qcom,mdss-dsi-on-command-state = "dsi_lp_mode";
-		qcom,mdss-dsi-off-command-state = "dsi_hs_mode";
-		/* the old driver used to allow specifying the format; this new
-		   driver derives the format from the bpp. In Thor's case, we
-		   need to specify a bpp of 24 but a format of RGB666 due to the
-		   bridge configuration. */
-		qcom,mdss-dsi-dst-format = <1>;	/* RGB666 */
-	};
-};
diff --git a/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-svga-100-dualmipi0-video.dtsi b/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-svga-100-dualmipi0-video.dtsi
deleted file mode 100644
index 0f375ac..0000000
--- a/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-svga-100-dualmipi0-video.dtsi
+++ /dev/null
@@ -1,112 +0,0 @@
-/* Copyright (c) 2013-2014, The Linux Foundation. All rights reserved.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 and
- * only version 2 as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- */
-
-&mdss_mdp {
-	dsi_dual_hx7816a_svga_100_video_0: qcom,mdss_dsi_hx7816a_svga_100_video_0 {
-		qcom,mdss-dsi-panel-name = "Dual 0 HX7816-A SVGA LVDS LCOS display via DSI-to-LVDS bridge";
-		qcom,mdss-dsi-panel-controller = <&mdss_dsi0>;
-		qcom,mdss-dsi-panel-type = "dsi_video_mode";
-		qcom,mdss-dsi-panel-destination = "display_1";
-		qcom,mdss-dsi-panel-framerate = <100>;
-		qcom,mdss-dsi-virtual-channel-id = <0>;
-		qcom,mdss-dsi-stream = <0>;
-		qcom,mdss-dsi-panel-width = <800>;
-		qcom,mdss-dsi-panel-height = <600>;
-		qcom,mdss-dsi-h-front-porch = <48>;
-		qcom,mdss-dsi-h-back-porch = <48>;
-		qcom,mdss-dsi-h-pulse-width = <48>;
-		qcom,mdss-dsi-h-sync-skew = <0>;
-		qcom,mdss-dsi-v-back-porch = <2>;
-		qcom,mdss-dsi-v-front-porch = <2>;
-		qcom,mdss-dsi-v-pulse-width = <123>;
-		qcom,mdss-dsi-h-left-border = <0>;
-		qcom,mdss-dsi-h-right-border = <0>;
-		qcom,mdss-dsi-v-top-border = <0>;
-		qcom,mdss-dsi-v-bottom-border = <0>;
-		qcom,mdss-dsi-bpp = <24>;
-		qcom,mdss-dsi-color-order = "rgb_swap_bgr";
-		qcom,mdss-dsi-underflow-color = <0xff>;
-		qcom,mdss-dsi-border-color = <0>;
-		qcom,mdss-dsi-h-sync-pulse = <0>;
-		qcom,mdss-dsi-traffic-mode = "non_burst_sync_event";
-		qcom,mdss-dsi-lane-map = <0>;
-		qcom,mdss-dsi-lane-0-state;
-		qcom,mdss-dsi-lane-1-state;
-		qcom,mdss-dsi-lane-2-state;
-		qcom,mdss-dsi-panel-timings = [7b 1a 10 00 3e 42 14 1c 15 03 04 00];	/* 100 fps */
-		qcom,mdss-dsi-t-clk-post = <0x21>;
-		qcom,mdss-dsi-t-clk-pre = <0x2e>;
-		qcom,mdss-dsi-bl-min-level = <1>;
-		qcom,mdss-dsi-bl-max-level = <15>;
-		qcom,mdss-dsi-dma-trigger = "trigger_sw";
-		qcom,mdss-dsi-mdp-trigger = "none";
-		qcom,mdss-dsi-bl-pmic-control-type = "bl_ctrl_wled";
-		qcom,mdss-dsi-reset-sequence = <1 20>, <0 200>, <1 20>;
-		qcom,mdss-dsi-te-dcs-command = <0>;
-		qcom,mdss-dsi-te-v-sync-continue-lines = <0>;
-		qcom,mdss-dsi-te-v-sync-rd-ptr-irq-line = <0>;
-		qcom,mdss-dsi-te-pin-select = <1>;
-		qcom,mdss-dsi-tx-eot-append = <1>;
-		qcom,mdss-dsi-force-clk-lane-hs = <1>;
-		qcom,mdss-dsi-on-command = [29 01 00 00 1e 00 06
-						04 05 ff 00 00 00	/* sw reset */
-					29 01 00 00 00 00 06
-						04 05 ff 00 00 00	/* sw reset */
-					29 01 00 00 00 00 06
-						3c 01 04 00 04 00	/* PPI_TX_RX_TA */
-					29 01 00 00 00 00 06
-						14 01 04 00 00 00	/* PPI_LPTXTIMECNT */
-					29 01 00 00 00 00 06
-						64 01 03 00 00 00	/* PPI_D0S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						68 01 03 00 00 00	/* PPI_D1S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						6c 01 03 00 00 00	/* PPI_D2S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						70 01 03 00 00 00	/* PPI_D3S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						34 01 0f 00 00 00	/* PPI_LANEENABLE */
-					29 01 00 00 00 00 06
-						10 02 0f 00 00 00	/* DSI_LANEENABLE */
-					29 01 00 00 00 00 06
-						04 01 01 00 00 00	/* PPI_STARTPPI */
-					29 01 00 00 00 00 06
-						04 02 01 00 00 00	/* DSI_STARTDSI */
-					29 01 00 00 00 00 06
-						50 04 60 00 00 01	/* VPCTRL */
-					29 01 00 00 00 00 06
-						54 04 30 00 30 00	/* HTIM1 */
-					29 01 00 00 00 00 06
-						5c 04 02 00 02 00	/* VTIM1 */
-					29 01 00 00 00 00 06
-						58 04 20 03 30 00	/* HTIM2 */
-					29 01 00 00 00 00 06
-						60 04 58 02 02 00	/* VTIM2 */
-					29 01 00 00 00 00 06
-						64 04 01 00 00 00	/* VFUEN */
-					29 01 00 00 00 00 06
-						9c 04 01 00 00 00	/* LVCFG */
-					29 01 00 00 00 00 06
-						20 05 1f 00 00 00	/* GPIOC */
-					29 01 00 00 00 00 06
-						24 05 08 00 00 00	/* GPIOO */];
-		qcom,mdss-dsi-off-command = [29 01 00 00 1e 00 06
-						04 05 ff 00 00 00	/* sw reset */];
-		qcom,mdss-dsi-on-command-state = "dsi_lp_mode";
-		qcom,mdss-dsi-off-command-state = "dsi_hs_mode";
-		/* the old driver used to allow specifying the format; this new
-		   driver derives the format from the bpp. In Thor's case, we
-		   need to specify a bpp of 24 but a format of RGB666 due to the
-		   bridge configuration. */
-		qcom,mdss-dsi-dst-format = <1>;	/* RGB666 */
-	};
-};
diff --git a/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-svga-100-dualmipi1-video.dtsi b/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-svga-100-dualmipi1-video.dtsi
deleted file mode 100644
index 9d0dc58..0000000
--- a/arch/arm/boot/dts/qcom/dsi-panel-hx7816a-svga-100-dualmipi1-video.dtsi
+++ /dev/null
@@ -1,112 +0,0 @@
-/* Copyright (c) 2013-2014, The Linux Foundation. All rights reserved.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 and
- * only version 2 as published by the Free Software Foundation.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- */
-
-&mdss_mdp {
-	dsi_dual_hx7816a_svga_100_video_1: qcom,mdss_dsi_hx7816a_svga_100_video_1 {
-		qcom,mdss-dsi-panel-name = "Dual 1 HX7816-A SVGA LVDS LCOS display via DSI-to-LVDS bridge";
-		qcom,mdss-dsi-panel-controller = <&mdss_dsi1>;
-		qcom,mdss-dsi-panel-type = "dsi_video_mode";
-		qcom,mdss-dsi-panel-destination = "display_2";
-		qcom,mdss-dsi-panel-framerate = <100>;
-		qcom,mdss-dsi-virtual-channel-id = <0>;
-		qcom,mdss-dsi-stream = <0>;
-		qcom,mdss-dsi-panel-width = <800>;
-		qcom,mdss-dsi-panel-height = <600>;
-		qcom,mdss-dsi-h-front-porch = <48>;
-		qcom,mdss-dsi-h-back-porch = <48>;
-		qcom,mdss-dsi-h-pulse-width = <48>;
-		qcom,mdss-dsi-h-sync-skew = <0>;
-		qcom,mdss-dsi-v-back-porch = <2>;
-		qcom,mdss-dsi-v-front-porch = <2>;
-		qcom,mdss-dsi-v-pulse-width = <123>;
-		qcom,mdss-dsi-h-left-border = <0>;
-		qcom,mdss-dsi-h-right-border = <0>;
-		qcom,mdss-dsi-v-top-border = <0>;
-		qcom,mdss-dsi-v-bottom-border = <0>;
-		qcom,mdss-dsi-bpp = <24>;
-		qcom,mdss-dsi-color-order = "rgb_swap_bgr";
-		qcom,mdss-dsi-underflow-color = <0xff>;
-		qcom,mdss-dsi-border-color = <0>;
-		qcom,mdss-dsi-h-sync-pulse = <0>;
-		qcom,mdss-dsi-traffic-mode = "non_burst_sync_event";
-		qcom,mdss-dsi-lane-map = <0>;
-		qcom,mdss-dsi-lane-0-state;
-		qcom,mdss-dsi-lane-1-state;
-		qcom,mdss-dsi-lane-2-state;
-		qcom,mdss-dsi-panel-timings = [7b 1a 10 00 3e 42 14 1c 15 03 04 00];
-		qcom,mdss-dsi-t-clk-post = <0x21>;
-		qcom,mdss-dsi-t-clk-pre = <0x2e>;
-		qcom,mdss-dsi-bl-min-level = <1>;
-		qcom,mdss-dsi-bl-max-level = <15>;
-		qcom,mdss-dsi-dma-trigger = "trigger_sw";
-		qcom,mdss-dsi-mdp-trigger = "none";
-		qcom,mdss-dsi-bl-pmic-control-type = "bl_ctrl_wled";
-		qcom,mdss-dsi-reset-sequence = <1 20>, <0 200>, <1 20>;
-		qcom,mdss-dsi-te-dcs-command = <0>;
-		qcom,mdss-dsi-te-v-sync-continue-lines = <0>;
-		qcom,mdss-dsi-te-v-sync-rd-ptr-irq-line = <0>;
-		qcom,mdss-dsi-te-pin-select = <1>;
-		qcom,mdss-dsi-tx-eot-append = <1>;
-		qcom,mdss-dsi-force-clk-lane-hs = <1>;
-		qcom,mdss-dsi-on-command = [29 01 00 00 1e 00 06
-						04 05 ff 00 00 00	/* sw reset */
-					29 01 00 00 00 00 06
-						04 05 ff 00 00 00	/* sw reset */
-					29 01 00 00 00 00 06
-						3c 01 04 00 04 00	/* PPI_TX_RX_TA */
-					29 01 00 00 00 00 06
-						14 01 04 00 00 00	/* PPI_LPTXTIMECNT */
-					29 01 00 00 00 00 06
-						64 01 03 00 00 00	/* PPI_D0S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						68 01 03 00 00 00	/* PPI_D1S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						6c 01 03 00 00 00	/* PPI_D2S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						70 01 03 00 00 00	/* PPI_D3S_CLRSIPOCOUNT */
-					29 01 00 00 00 00 06
-						34 01 0f 00 00 00	/* PPI_LANEENABLE */
-					29 01 00 00 00 00 06
-						10 02 0f 00 00 00	/* DSI_LANEENABLE */
-					29 01 00 00 00 00 06
-						04 01 01 00 00 00	/* PPI_STARTPPI */
-					29 01 00 00 00 00 06
-						04 02 01 00 00 00	/* DSI_STARTDSI */
-					29 01 00 00 00 00 06
-						50 04 60 00 00 01	/* VPCTRL */
-					29 01 00 00 00 00 06
-						54 04 30 00 30 00	/* HTIM1 */
-					29 01 00 00 00 00 06
-						5c 04 02 00 02 00	/* VTIM1 */
-					29 01 00 00 00 00 06
-						58 04 20 03 30 00	/* HTIM2 */
-					29 01 00 00 00 00 06
-						60 04 58 02 02 00	/* VTIM2 */
-					29 01 00 00 00 00 06
-						64 04 01 00 00 00	/* VFUEN */
-					29 01 00 00 00 00 06
-						9c 04 01 00 00 00	/* LVCFG */
-					29 01 00 00 00 00 06
-						20 05 1f 00 00 00	/* GPIOC */
-					29 01 00 00 00 00 06
-						24 05 08 00 00 00	/* GPIOO */];
-		qcom,mdss-dsi-off-command = [29 01 00 00 1e 00 06
-						04 05 ff 00 00 00	/* sw reset */];
-		qcom,mdss-dsi-on-command-state = "dsi_lp_mode";
-		qcom,mdss-dsi-off-command-state = "dsi_hs_mode";
-		/* the old driver used to allow specifying the format; this new
-		   driver derives the format from the bpp. In Thor's case, we
-		   need to specify a bpp of 24 but a format of RGB666 due to the
-		   bridge configuration. */
-		qcom,mdss-dsi-dst-format = <1>;	/* RGB666 */
-	};
-};
-- 
1.8.2.1

